[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.PrepareCellHints

Prepares the control to display hints for a cell.

## Declaration

Source position: grids.pas line 1165

`protected procedure TCustomGrid.PrepareCellHints(`
`ACol: Integer;`
`ARow: Integer`
`); virtual;`

## Arguments

`ACol` |  | Column number for the cell.
`ARow` |  | Row number for the cell.

## Description

PrepareCellHints has an empty implementation in TCustomGrid, and may be overridden or re-implemented in descendent classes (like TCustomDBGrid, TDBGrid).

PrepareCellHints is called from the ShowCellHintWIndow method.

## See also

TCustomGrid.ShowCellHintWIndow |  | Gets and displays the cell hint(s) for the current cell in the grid.
TCustomDBGrid.PrepareCellHints |  | Sets the active record in the grid to the specified row.